Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Interface ServiceControllerMBean

All Known Implementing Classes:
  ServiceController

public interface ServiceControllerMBean

MBean interface.

See Also:
  `Service`

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Method Summary
`void` | `create(javax.management.ObjectName serviceName)` #Description of the Method
`void` | `create(javax.management.ObjectName serviceName, Collection depends)` #Description of the Method
`void` | `destroy(javax.management.ObjectName serviceName)` #Description of the Method
`ServiceContext` | `getServiceContext(javax.management.ObjectName serviceName)` Lookup the ServiceContext for the given serviceName
`List` | `install(Element config, javax.management.ObjectName loaderName)` Deploy the beans Deploy means "instantiate and configure" so the MBean is created in the MBeanServer You must call "create" and "start" separately on the MBean to affect the service lifecycle deploy doesn't bother with service lifecycle only MBean instanciation/registration/configuration
`String` | `listConfiguration(javax.management.ObjectName[] objectNames)` Gets the Configuration attribute of the ServiceController object
`List` | `listDeployed()` Lists the ServiceContexts of deployed mbeans
`List` | `listDeployedNames()` lists ObjectNames of deployed mbeans deployed through serviceController.
`List` | `listIncompletelyDeployed()` The `listIncompletelyDeployed` method returns the service contexts for the mbeans whose status is not RUNNING, and logs the string.
`void` | `register(javax.management.ObjectName serviceName)` Register the mbean against the microkernel with no dependencies.
`void` | `register(javax.management.ObjectName serviceName, Collection depends)`
`void` | `remove(javax.management.ObjectName objectName)` This MBean is going buh bye
`void` | `shutdown()` Describe `shutdown` method here.
`void` | `start(javax.management.ObjectName serviceName)` #Description of the Method
`void` | `stop(javax.management.ObjectName serviceName)` #Description of the Method
`void` | `validateDeploymentState(DeploymentInfo di, DeploymentState state)` Go through the mbeans of the DeploymentInfo and validate that they are in a state at least equal to that of the argument state

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### listDeployed

    public List listDeployed()

  Lists the ServiceContexts of deployed mbeans

  Returns:
    the list of ServiceContexts for mbeans deployed through ServiceController.

### listIncompletelyDeployed

    public List listIncompletelyDeployed()

  The `listIncompletelyDeployed` method returns the service contexts for the mbeans whose status is not RUNNING, and logs the string.

  Returns:
    a `List` value

### listDeployedNames

    public List listDeployedNames()

  lists ObjectNames of deployed mbeans deployed through serviceController.

  Returns:
    a list of ObjectNames of deployed mbeans.

### listConfiguration

    public String listConfiguration(javax.management.ObjectName[] objectNames)
                             throws Exception

  Gets the Configuration attribute of the ServiceController object

  Parameters:
    `objectNames` - Description of Parameter
  Returns:
    The Configuration value
  Throws:
    `Exception` - Description of Exception

### validateDeploymentState

    public void validateDeploymentState(DeploymentInfo di,
                                        DeploymentState state)

  Go through the mbeans of the DeploymentInfo and validate that they are in a state at least equal to that of the argument state

### install

    public List install(Element config,
                        javax.management.ObjectName loaderName)
                 throws DeploymentException

  Deploy the beans Deploy means "instantiate and configure" so the MBean is created in the MBeanServer You must call "create" and "start" separately on the MBean to affect the service lifecycle deploy doesn't bother with service lifecycle only MBean instanciation/registration/configuration

  Parameters:
    `config` -
    `loaderName` -
  Returns:
    Description of the Returned Value
  Throws:
    `DeploymentException`

### register

    public void register(javax.management.ObjectName serviceName)
                  throws Exception

  Register the mbean against the microkernel with no dependencies.

  Throws:
    `Exception`
  See Also:
    `register(ObjectName, java.util.Collection)`

### register

    public void register(javax.management.ObjectName serviceName,
                         Collection depends)
                  throws Exception

  Throws:
    `Exception`

### create

    public void create(javax.management.ObjectName serviceName)
                throws Exception

  #Description of the Method

  Parameters:
    `serviceName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### create

    public void create(javax.management.ObjectName serviceName,
                       Collection depends)
                throws Exception

  #Description of the Method

  Parameters:
    `serviceName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### start

    public void start(javax.management.ObjectName serviceName)
               throws Exception

  #Description of the Method

  Parameters:
    `serviceName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### stop

    public void stop(javax.management.ObjectName serviceName)
              throws Exception

  #Description of the Method

  Parameters:
    `serviceName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### destroy

    public void destroy(javax.management.ObjectName serviceName)
                 throws Exception

  #Description of the Method

  Parameters:
    `serviceName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### remove

    public void remove(javax.management.ObjectName objectName)
                throws Exception

  This MBean is going buh bye

  Parameters:
    `objectName` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### shutdown

    public void shutdown()

  Describe `shutdown` method here.

### getServiceContext

    public ServiceContext getServiceContext(javax.management.ObjectName serviceName)

  Lookup the ServiceContext for the given serviceName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.